%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  AquaAnalytix
%global packver   0.1.0
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.1.0
Release:          1%{?dist}%{?buildtag}
Summary:          Water Quality Analysis

License:          GPL-3
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel
Requires:         R-core
BuildArch:        noarch

%description
A varied array of mathematical derivations from various titrimetric and
colorimetric methods for analyzing water quality parameters were condensed
and integrated for the better physicochemical analysis. It is
indispensable for managing any aquatic ecosystem, including aquaculture
facilities. By substituting titrant and spectrophotometric absorbance
readings, accurate determination of the concentrations of critical
parameters such as Dissolved Oxygen, Free Carbon Dioxide, Total
Alkalinity, Water Hardness, Hydrogen Sulfide, Total Ammonia Nitrogen,
Nitrite, Nitrate, Chlorinity, Salinity, Inorganic Phosphate, and
Transparency can be facilitated APHA(2017,ISBN:9780875532875).

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
